Bug 1547116 - Jetty configuration broken due to ODL jetty config changes
Summary: Jetty configuration broken due to ODL jetty config changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-opendaylight
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: beta
: 13.0 (Queens)
Assignee: Tim Rozet
QA Contact: Itzik Brown
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-20 14:40 UTC by Tim Rozet
Modified: 2018-10-18 07:21 UTC (History)
4 users (show)

Fixed In Version: puppet-opendaylight-7.0.0-0.20180215165947.d3b32a4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
N/A
Last Closed: 2018-06-27 13:45:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenDaylight Bug INTPAK-134 None None None 2018-02-20 14:40:52 UTC
OpenDaylight gerrit 67739 None None None 2018-02-20 14:43:40 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:46:11 UTC

Description Tim Rozet 2018-02-20 14:40:53 UTC
Description of problem:
The configuration for the web service (binding of ports and IP) is broken. ODL modified the base file to use a different default configuration now.  The puppet configuration needs to be updated.  Without a fix, ODL is unable to come up on the correct IP/port and blocks OSPD deployments with ODL.

Comment 4 Itzik Brown 2018-03-26 01:41:33 UTC
Deployment is successful and the controller listens on Internal API.
puppet-opendaylight-7.0.0-0.20180216174116.d3b32a4.el7ost.noarch

Comment 6 errata-xmlrpc 2018-06-27 13:45:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.